Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_seminar do
      namespace :back_end do
	  
        match 'writing_seminar_setting' => "writing_seminars#writing_seminar_setting" ,:as => :writing_seminar_setting
		  		
        resources :writing_seminars do
          collection do
            get 'delete'
          end
		  
          match "author_type_quick_add" => "writing_seminars#author_type_quick_add" ,:as => :author_type_quick_add
          match "author_type_quick_edit" => "writing_seminars#author_type_quick_edit" ,:as => :author_type_quick_edit
		  
          match "paper_type_quick_add" => "writing_seminars#paper_type_quick_add" ,:as => :paper_type_quick_add
          match "paper_type_quick_edit" => "writing_seminars#paper_type_quick_edit" ,:as => :paper_type_quick_edit
        end
		resources :seminar_paper_types
		resources :seminar_author_types
		# resources :seminar_level_types
        resources :tags
      end
      namespace :front_end do
        resources :writing_seminars
      end
      namespace :plugin do
        resources :writing_seminars
      end
      namespace :widget do
        match "writing_seminars" => "writing_seminars#index"
        match "home_list" => "writing_seminars#home_list"
        match "reload_writing_seminars" => "writing_seminars#reload_writing_seminars"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
